Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation.transaction
Class Delete

    java.lang.Object
      org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
          org.deegree.ogcwebservices.wfs.operation.transaction.Delete

    public class Delete

extends TransactionOperation

Represents a `Delete` operation as a part of a `Transaction` request.

WFS Specification OGC 04-094 (#12.2.6 Pg.71):

The `Delete` element is used to indicate that one of more feature instances should be deleted. The scope of the delete operation is constrained by using the `Filter` element as described in the Filter Encoding Specification[3].
In the event, that the `Filter` element does not identify any `Feature` instances to `Delete`, the `Delete` action will simply have no effect.
This is not an exception condition.

Version:
  $Revision: 23794 $, $Date: 2010-04-23 15:05:33 +0200 (Fr, 23. Apr 2010) $
Author:
  Anup Deshmukh , Markus Schneider , last edited by: $Author: aionita $

Constructor Summary
`Delete(String handle, QualifiedName typeName, Filter filter)` Creates a new `Delete`instance.``

Method Summary
`protected static List<Delete>` | `create(Map<QualifiedName,Filter> typeFilter)` Creates `Delete` instances from a KVP request.
`List<QualifiedName>` | `getAffectedFeatureTypes()` Returns the names of the feature types that are affected by the operation.
`Filter` | `getFilter()` Return `Filter`.
`QualifiedName` | `getTypeName()` Returns the name of the targeted feature type.
`void` | `setFilter(Filter filter)` sets the filter condition for an delete operation.
`void` | `setTypeName(QualifiedName typeName)` Setter method for the type name

Methods inherited from class org.deegree.ogcwebservices.wfs.operation.transaction.TransactionOperation
`getHandle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delete

    public Delete(String handle,
                  QualifiedName typeName,
                  Filter filter)

  Creates a new `Delete`instance.

  Parameters:
    `handle` - optional identifier for the operation (for error messsages)
    `typeName` - name of the targeted feature type
    `filter` - selects the feature instances to be deleted
  ``

Method Detail

### getTypeName

    public QualifiedName getTypeName()

  Returns the name of the targeted feature type.

  Returns:
    the name of the targeted feature type.

### setTypeName

    public void setTypeName(QualifiedName typeName)

  Setter method for the type name

  Parameters:
    `typeName` - a `QualifiedName`

### getFilter

    public Filter getFilter()

  Return `Filter`.

  Returns:
    Filter filter

### setFilter

    public void setFilter(Filter filter)

  sets the filter condition for an delete operation. This method may be use by classes/moduls that need to manipulate an update operation e.g. to ensure security constraints.

  Parameters:
    `filter` -

### getAffectedFeatureTypes

    public List<QualifiedName> getAffectedFeatureTypes()

  Returns the names of the feature types that are affected by the operation.

  For the `Delete` operation, this is a list with a single entry - the value of the "typeName" attribute.

  Specified by:
    `getAffectedFeatureTypes` in class `TransactionOperation`
  Returns:
    the names of the affected feature types.

### create

    protected static List<Delete> create(Map<QualifiedName,Filter> typeFilter)

  Creates `Delete` instances from a KVP request.

  Parameters:
    `typeFilter` -
  Returns:
    Delete instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org